打印

LNMP1.4安装pthreads出错

LNMP1.4安装pthreads出错

已在编译PHP中加入 --enable-maintainer-zts,现在不管是独立安装pthreads,还是pecl install pthreads安装都出错,还请军哥指点,对这方面算小白了...以下是错误提示附件:
附件: 您所在的用户组无法下载或查看附件

TOP

引用:
In file included from /tmp/pear/temp/pthreads/php_pthreads.h:43:0,
                 from /tmp/pear/temp/pthreads/php_pthreads.c:26:
/tmp/pear/temp/pthreads/classes/pool.h: 在函数‘zim_Pool_collect’中:
/tmp/pear/temp/pthreads/classes/worker.h:53:10: 错误:‘zend_fcall_info’没有名为‘function_table’的成员
  call.fci.function_table = &(w)->ce->function_table; \
          ^
/tmp/pear/temp/pthreads/classes/pool.h:293:4: 附注:in expansion of macro ‘PTHREADS_WORKER_COLLECTOR_INIT’
    PTHREADS_WORKER_COLLECTOR_INIT(call, Z_OBJ_P(worker));
    ^
/tmp/pear/temp/pthreads/classes/worker.h:55:57: 错误:‘zend_fcall_info’没有名为‘function_table’的成员
  call.fcc.function_handler = zend_hash_find_ptr(call.fci.function_table, Z_STR(call.fci.function_name)); \
                                                         ^
/tmp/pear/temp/pthreads/classes/pool.h:293:4: 附注:in expansion of macro ‘PTHREADS_WORKER_COLLECTOR_INIT’
    PTHREADS_WORKER_COLLECTOR_INIT(call, Z_OBJ_P(worker));
    ^
make: *** [php_pthreads.lo] 错误 1
ERROR: `make' failed
pecl上的pthreads是2016年的
建议去https://github.com/krakjoe/pthreads 下载最新的源码安装试试,php模块编译安装参考:https://www.vpser.net/manage/lnmp-php-install-ext.html

LNMP付费问题排查/LNMP技术支持/Paypal信用卡代付/代购VPS,域名,软件等 QQ 503228080 旺旺 lzhenbao
军哥淘宝店铺
QQ/旺旺仅提供代购及付费代维/问题解决等服务,其他不回复!LNMP相关问题请在本论坛发帖,提问前先搜索,按https://bbs.vpser.net/thread-2555-1-1.html 要求反馈问题!

TOP

军哥,一样错误的,就算下载的是最新的...
附件: 您所在的用户组无法下载或查看附件

TOP

回复 3# 的帖子

不清楚原因,建议他们github上反馈看看

LNMP付费问题排查/LNMP技术支持/Paypal信用卡代付/代购VPS,域名,软件等 QQ 503228080 旺旺 lzhenbao
军哥淘宝店铺
QQ/旺旺仅提供代购及付费代维/问题解决等服务,其他不回复!LNMP相关问题请在本论坛发帖,提问前先搜索,按https://bbs.vpser.net/thread-2555-1-1.html 要求反馈问题!

TOP